Changer la version PHP sur votre panneau de contrôle Plesk?

Nous avons apporté quelques modifications à la manière dont nous traitons PHP sur nos serveurs. Cet article devrait dissiper toute confusion et vous guider sur la façon de changer la version PHP sur votre hébergement web Hostarts.

CloudLinux
Tous nos serveurs Linux exécutent un système d'exploitation appelé CloudLinux. Ce système d'exploitation agis en tan que modification du kernel avec CentOS comme base et permet l'isoation de nos clients et des domaines dans quelque chose appelé LVE (Light Virtual Environment). Cela nous donne la possibilité de définir, entre autres, des limites de CPU et de mémoire sur les domaines. Il verrouille également chaque domaine dans son propre système de fichiers avec une fonctionnalité appelée CageFS. 

PHP Selector

Une autre caractéristique principale de CloudLinux est son le selecteur PHP. Il permet aux utilisateurs de définir leur propre version de PHP mais aussi la modifications des valeurs et limitations PHP.

Vous le verrez dans la barre latérale en haut à droite de Plesk, clairement étiqueté "PHP Selector"

 
Sélectionnez votre version PHP dans le menu déroulant. Si vos applications le prennent en charge, choisissez PHP 7.4 

 
Afin de changer les valeurs PHP par default, vous pouvez utiliser l'onglet "Options" dans le PHP Selector pour modifier les valeurs tel que 

- allow_url_fopen, 
- display_errors On ou Off
- error_reporting 
- file_uploads , 
- log_errors, 
- max_execution_time, 
- max_input_time,  
- memory_limit, 
- open_basedir, 
- post_max_size, 
- short_open_tag 
- upload_max_filesize 
 
Cette réponse était-elle pertinente? 0 Utilisateurs l'ont trouvée utile (0 Votes)